org.apache.pdfbox.pdmodel.documentinterchange.taggedpdf

## Class PDArtifactMarkedContent

- java.lang.Object
- - org.apache.pdfbox.pdmodel.documentinterchange.markedcontent.PDMarkedContent
  - - org.apache.pdfbox.pdmodel.documentinterchange.taggedpdf.PDArtifactMarkedContent

    public class PDArtifactMarkedContent
    extends PDMarkedContent

An artifact marked content.

Author:
  Johannes Koch

### Constructor Summary

Constructors
Constructor and Description
`PDArtifactMarkedContent(COSDictionary properties)`

### Method Summary

All Methods Instance Methods Concrete Methods
`PDRectangle` `getBBox()` Gets the artifact's bounding box (BBox).
`String` `getSubtype()` Gets the subtype (Subtype).
`String` `getType()` Gets the type (Type).
`boolean` `isBottomAttached()` Is the artifact attached to the bottom edge?
`boolean` `isLeftAttached()` Is the artifact attached to the left edge?
`boolean` `isRightAttached()` Is the artifact attached to the right edge?
`boolean` `isTopAttached()` Is the artifact attached to the top edge?

### Methods inherited from class org.apache.pdfbox.pdmodel.documentinterchange.markedcontent.PDMarkedContent

`addMarkedContent, addText, addXObject, create, getActualText, getAlternateDescription, getContents, getExpandedForm, getLanguage, getMCID, getProperties, getTag, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PDArtifactMarkedContent

    public PDArtifactMarkedContent(COSDictionary properties)

### Method Detail

#### getType

    public String getType()

Gets the type (Type).

Returns:
  the type

#### getBBox

    public PDRectangle getBBox()

Gets the artifact's bounding box (BBox).

Returns:
  the artifact's bounding box

#### isTopAttached

    public boolean isTopAttached()

Is the artifact attached to the top edge?

Returns:
  `true` if the artifact is attached to the top edge, `false` otherwise

#### isBottomAttached

    public boolean isBottomAttached()

Is the artifact attached to the bottom edge?

Returns:
  `true` if the artifact is attached to the bottom edge, `false` otherwise

#### isLeftAttached

    public boolean isLeftAttached()

Is the artifact attached to the left edge?

Returns:
  `true` if the artifact is attached to the left edge, `false` otherwise

#### isRightAttached

    public boolean isRightAttached()

Is the artifact attached to the right edge?

Returns:
  `true` if the artifact is attached to the right edge, `false` otherwise

#### getSubtype

    public String getSubtype()

Gets the subtype (Subtype).

Returns:
  the subtype